﻿using Infragistics.Documents;
using System;
using System.IO;
using System.Windows;

namespace SyntaxEditor
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        Stream stream = null;

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            stream = GenerateStreamFromString("This is document for xamSyntaxEditor");

            Syntax_one.Document = new TextDocument();
            Syntax_one.Document.Load(GenerateStreamFromString("This is document for xamSyntaxEditor one" + Environment.NewLine + srt));
            Syntax_two.Document = new TextDocument();
            Syntax_two.Document.Load(GenerateStreamFromString("This is document for xamSyntaxEditor two" + Environment.NewLine + srt));
            Syntax_three.Document = new TextDocument();
            Syntax_three.Document.Load(GenerateStreamFromString("This is document for xamSyntaxEditor three" + Environment.NewLine + srt));

        }

        public Stream GenerateStreamFromString(string s)
        {
            MemoryStream stream = new MemoryStream();
            StreamWriter writer = new StreamWriter(stream);
            writer.Write(s);
            writer.Flush();
            stream.Position = 0;
            return stream;
        }

        public string srt = "Lorem ipsum dolor sit amet, oblique officiis te usu, an purto case ceteros eam." + Environment.NewLine + " Ea mel deleniti definitiones. Ad dicta viderer gubergren duo. Has case imperdiet interpretaris at, eu placerat luptatum qualisque pro, quo no solet delicatissimi. Nam solet dicant electram ei, ad invenire comprehensam eam." + Environment.NewLine + " Deleniti definitiones ea vix. Eu brute fastidii petentium nec. Ut nam tollit dolorem abhorreant, quem salutandi mea id. Ne his agam vivendum philosophia, pri propriae repudiandae ei, no per lorem tritani mediocritatem. Molestie sententiae id qui. Te clita inciderint eam, usu semper periculis dissentiet ex.An qui utroque intellegat, pro facete consetetur reprimique at, pri id esse liber iudicabit. Has et saepe persequeris, quas nobis democritum eam no. Vel unum putent praesent ne, vis ne mollis fabulas. No lucilius antiopam mediocritatem eos. Mei et tale convenire. " + Environment.NewLine + "Usu ne dolor equidem sensibus, ne illum integre maiestatis sea. In iudico legimus mei. Mazim concludaturque his eu, in accumsan copiosae vis, dicam voluptua te mel. Vix autem epicurei ei, vis an hinc natum reque, salutatus constituto mei ad." + Environment.NewLine + " Ad ius mollis constituam, ne sed recteque convenire disputationi. Duis molestiae eam cu, in duo falli minimum persequeris. At vix posse populo ridens, ei nam appareat pertinacia, no utamur aliquid eos. Vim et duis labores officiis, augue explicari ut est. Viris laudem sea et, ponderum iracundia incorrupte ex usu." + Environment.NewLine + " Vim no percipit lucilius repudiandae, quem putent suavitate nec no. Mea persius nostrud ei, no duo elit falli detraxit, ex fuisset detracto sit.";


        //private void Button_Click(object sender, RoutedEventArgs e)
        //{
        //    stream = GenerateStreamFromString("This is document for xamSyntaxEditor");

        //    Syntax_one.Document = new TextDocument();
        //    Syntax_one.Document.Load(GenerateStreamFromString("This is document for xamSyntaxEditor one" + Environment.NewLine + srt));
        //    Syntax_two.Document = new TextDocument();
        //    Syntax_two.Document.Load(GenerateStreamFromString("This is document for xamSyntaxEditor two" + Environment.NewLine + srt));
        //    Syntax_three.Document = new TextDocument();
        //    Syntax_three.Document.Load(GenerateStreamFromString("This is document for xamSyntaxEditor three" + Environment.NewLine + srt));
        //}

    }
}
